#!/bin/ksh -p
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#

#
# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
#ident	"@(#)get_error.sh	1.6	09/05/26 SMI"

if [ $# -eq 1 ]
then
exec nawk '/ERROR '$1' begin/, /ERROR '$1' end/ {if (pid == 0 || pid == $2 ) {print $0 ; pid=$2}}'
elif [ $# -eq 2 ]
then
exec nawk '/ERROR '$1' begin/, /ERROR '$1' end/ {if (pid == 0 || pid == $2 ) {print $0 ; pid=$2}}' $2
else
	echo "get_error USAGE:" >&2
	echo "\tget_error error_no [error file]" >&2
fi
exit 1
