/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)bits.h	1.8	09/05/26 SMI"

#ifndef _DISKOBITS
#define	_DISKOBITS

#ifdef	__cplusplus
extern "C" {
#endif

extern int count_uint8_bits(uint8_t x);
extern int count_uint16_bits(uint16_t x);
extern int count_uint32_bits(uint32_t x);
extern int count_uint64_bits(uint64_t x);
extern int count_u_llong_bits(unsigned long long x);
extern void what_uint8_bits_set(uint8_t bit, char *res);
extern void what_uint16_bits_set(uint16_t bit, char *res);
extern void what_uint32_bits_set(uint32_t bit, char *res);
extern void what_uint64_bits_set(uint64_t bit, char *res);

#ifdef	__cplusplus
}
#endif

#endif /* _DISKOBITS */
