/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)decode_errors.h	1.6	09/05/26 SMI"

#ifndef _DECODE_ERRORS_H
#define	_DECODE_ERRORS_H

#ifdef	__cplusplus
extern "C" {
#endif

extern void decode_errors(int pri, struct aio_str *aiop, int read_count);
extern void report_error_desc(int pri, struct aio_str *aiop, const char *str);

#ifdef	__cplusplus
}
#endif

#endif	/* _DECODE_ERRORS_H */
