/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)time.h	1.7	09/05/26 SMI"

#ifndef _DISKOTIME_H
#define	_DISKOTIME_H

#ifdef	__cplusplus
extern "C" {
#endif

#include <time.h>
#include <sys/time.h>
#include <stdio.h>
#include <stdlib.h>
#include "args.h"
#include <diskomizer/log.h>
extern int my_gettimeofday(struct timeval *tp, void *x);
extern char *alloc_time_str_fmt(time_t tv, char *fmt);
extern char *alloc_time_str(time_t tv);
extern char *alloc_time_now_fmt(char *fmt);
extern char *alloc_time_now(void);

#ifdef	__cplusplus
}
#endif

#endif /* _DISKOTIME_H */
